Package com.smartgwt.client.types

# Enum AsyncOperationResultType

java.lang.Object
java.lang.Enum<AsyncOperationResultType>
com.smartgwt.client.types.AsyncOperationResultType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AsyncOperationResultType>`, `Constable`

public enum AsyncOperationResultType extends Enum<AsyncOperationResultType> implements ValueEnum
The type of result of an asynchronous operation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCELED`
  The asynchronous operation was canceled.
  `DEFERRED`
  The asynchronous operation was deferred.
  `DISABLED`
  The asynchronous operation is disabled.
  `ERROR`
  The asynchronous operation encountered an error.
  `SUCCESS`
  The asynchronous operation completed successfully.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AsyncOperationResultType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AsyncOperationResultType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final AsyncOperationResultType SUCCESS
    The asynchronous operation completed successfully.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "success".

  - ### ERROR

    public static final AsyncOperationResultType ERROR
    The asynchronous operation encountered an error.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "error".

  - ### CANCELED

    public static final AsyncOperationResultType CANCELED
    The asynchronous operation was canceled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "canceled".

  - ### DISABLED

    public static final AsyncOperationResultType DISABLED
    The asynchronous operation is disabled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disabled".

  - ### DEFERRED

    public static final AsyncOperationResultType DEFERRED
    The asynchronous operation was deferred.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "deferred".

- ## Method Details

  - ### values

    public static AsyncOperationResultType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AsyncOperationResultType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`